# Uses of Interface
org.gitana.platform.client.application.Settings

Packages that use Settings
Package
Description
org.gitana.platform.client.application
org.gitana.platform.client.support

## Uses of Settings in org.gitana.platform.client.application

Classes in org.gitana.platform.client.application that implement Settings
Modifier and Type
Class
Description
`class`
`SettingsImpl`
Methods in org.gitana.platform.client.application that return Settings
Modifier and Type
Method
Description
`Settings`
Application.`createSettings(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Settings`
ApplicationImpl.`createSettings(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Settings`
Application.`readApplicationPrincipalSettings(String domainId, String principalId)`
`Settings`
Application.`readApplicationPrincipalSettings(DomainPrincipal principal)`
`Settings`
ApplicationImpl.`readApplicationPrincipalSettings(String domainId, String principalId)`
`Settings`
ApplicationImpl.`readApplicationPrincipalSettings(DomainPrincipal principal)`
`Settings`
Application.`readApplicationSettings()`
`Settings`
Application.`readApplicationSettings(String scope, String key)`
`Settings`
ApplicationImpl.`readApplicationSettings()`
`Settings`
ApplicationImpl.`readApplicationSettings(String scope, String key)`
`Settings`
Application.`readSettings(String settingsId)`
`Settings`
ApplicationImpl.`readSettings(String settingsId)`
Methods in org.gitana.platform.client.application that return types with arguments of type Settings
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Settings>`
Application.`listSettings()`
`org.gitana.platform.support.ResultMap<Settings>`
Application.`listSettings(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Settings>`
ApplicationImpl.`listSettings()`
`org.gitana.platform.support.ResultMap<Settings>`
ApplicationImpl.`listSettings(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Settings>`
Application.`querySettings(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Settings>`
Application.`querySettings(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Settings>`
ApplicationImpl.`querySettings(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Settings>`
ApplicationImpl.`querySettings(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Methods in org.gitana.platform.client.application with parameters of type Settings
Modifier and Type
Method
Description
`void`
Application.`deleteSettings(Settings settings)`
`void`
ApplicationImpl.`deleteSettings(Settings settings)`
`void`
Application.`updateSettings(Settings settings)`
`void`
ApplicationImpl.`updateSettings(Settings settings)`

## Uses of Settings in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Settings
Modifier and Type
Method
Description
`Settings`
ObjectFactory.`settings(Application application, Response response)`
`Settings`
ObjectFactoryImpl.`settings(Application application, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Settings
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Settings>`
ObjectFactory.`settingsMap(Application application, Response response)`
`org.gitana.platform.support.ResultMap<Settings>`
ObjectFactoryImpl.`settingsMap(Application application, Response response)`